{ config, lib, pkgs, ... }:
let
  domain = "komga.home.feal.no";
  port = 5001;
in {
  services.komga = {
    enable = true;
    stateDir = "/tank/media/komga";
    settings.server = {
      inherit port;
    };
  };

  services.nginx.virtualHosts.${domain} = {
    locations."/".proxyPass = "http://127.0.0.1:${toString port}";

    extraConfig = ''
      client_max_body_size 512M;
    '';
  };
}
