{ config, pkgs, lib, ... }:
{
  # Boot drives are defined in ./hardware-configuration.nix

  boot = {
    zfs.extraPools = [ "tank" ];
    supportedFilesystems = [ "zfs" ];
  };
  services.prometheus.exporters.zfs.enable = true;

  environment.systemPackages = with pkgs; [
    cifs-utils
    zfs
  ];

  fileSystems = {
    "/mnt/feal-syn1/backup" = {
      device = "192.168.10.162:/volume2/backup";
      fsType = "nfs";
      options = [
        "defaults"
        "noatime"
        "rw"
        "nfsvers=3"
        "x-systemd.automount"
        "noauto"
      ];
    };
  };
}
