{ config, pkgs, lib, ... }:
{
  hardware.graphics.enable = true;
  services.xserver = {
    enable = true;
    xkb = {
      options = "ctrl:nocaps";
      layout = "no";
    };
  };
  services.displayManager.ly.enable = true;
  services.gnome.gnome-keyring.enable = true;

  programs.hyprland = {
    enable = true;
    xwayland.enable = true;
  };

  # Audio
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    pulse.enable = true;
    jack.enable = true;
  };

  # Fonts
  fonts = {
    fontDir.enable = true;
    packages = with pkgs; [
      noto-fonts
      noto-fonts-emoji
      noto-fonts-cjk-sans
      font-awesome
      fira-code
      hack-font
      nerd-fonts.hack
    ];
  };

  # Misc:
  xdg.portal = {
    enable = true;
    wlr.enable = true;
  };
  location.provider = "geoclue2";
  security.polkit.enable = true;
  services.dbus.packages = [ pkgs.gcr ];
  services.openssh.settings.X11Forwarding = true;
  programs.nm-applet.enable = true;
}
