{ config, pkgs, lib, ... }:
let
  cfg = config.services.podgrab;
  domain = "podgrab.home.feal.no";
in {
  sops.secrets."podgrab/password" = { };

  services.podgrab = {
    enable = true;
    port = 5104;
    passwordFile = config.sops.secrets."podgrab/password".path;
  };

  services.nginx.virtualHosts.${domain} = {
    locations."/".proxyPass = "http://localhost:${toString cfg.port}";
  };

  fileSystems."/tank/media/jellyfin/Podcasts" = {
    device = "/var/lib/podgrab/data";
    options = [ "bind "];
  };
}
